Ginkgo: gko::batch::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory > Struct Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::batch::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory > Struct Template Reference
Inheritance diagram for gko::batch::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >:
[legend]
Collaboration diagram for gko::batch::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >:
[legend]

## Public Member Functions
template<typename... Args>
auto | with_max_iterations (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_tolerance (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_tolerance_type (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
auto | with_preconditioner (::gko::deferred_factory_parameter< preconditioner_type > factory) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_generated_preconditioner (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< Parameters, Factory >
Parameters & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
int | max_iterations {100}
| Default maximum number iterations allowed.
double | tolerance {1e-11}
| Default residual tolerance.
::gko::batch::stop::tolerance_type | tolerance_type {::gko::batch::stop::tolerance_type::absolute}
| To specify which type of tolerance check is to be considered, absolute or relative (to the rhs l2 norm).
std::shared_ptr< const BatchLinOpFactory > | preconditioner {}
| The preconditioner to be used by the iterative solver.
std::shared_ptr< const BatchLinOp > | generated_preconditioner {nullptr}
| Already generated preconditioner.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< Parameters, Factory >
using | factory

## Member Data Documentation

## ◆ generated_preconditioner

template<typename Parameters, typename Factory>

std::shared_ptr<const BatchLinOp> gko::batch::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >::generated_preconditioner {nullptr}

Already generated preconditioner.

If one is provided, the factory preconditioner will be ignored.

## ◆ max_iterations

template<typename Parameters, typename Factory>

int gko::batch::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >::max_iterations {100}

Default maximum number iterations allowed.

Generated solvers are initialized with this value for their maximum iterations.

## ◆ preconditioner

template<typename Parameters, typename Factory>

std::shared_ptr<const BatchLinOpFactory> gko::batch::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >::preconditioner {}

The preconditioner to be used by the iterative solver.

By default, no preconditioner is used.

## ◆ tolerance

template<typename Parameters, typename Factory>

double gko::batch::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >::tolerance {1e-11}

Default residual tolerance.

Generated solvers are initialized with this value for their residual tolerance.

The documentation for this struct was generated from the following file:

- ginkgo/core/solver/batch_solver_base.hpp